%define upstream_name    Class-Factory
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Base class for dynamic factory classes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This is a simple module that factory classes can use to generate new types
of objects on the fly, providing a consistent interface to common groups of
objects.

Factory classes are used when you have different implementations for the
same set of tasks but may not know in advance what implementations you will
be using. Configuration files are a good example of this. There are four
basic operations you would want to do with any configuration: read the file
in, lookup a value, set a value, write the file out. There are also many
different types of configuration files, and you may want users to be able
to provide an implementation for their own home-grown configuration format.

With a factory class this is easy. To create the factory class, just
subclass 'Class::Factory' and create an interface for your configuration
serializer. 'Class::Factory' even provides a simple constructor for you.
Here's a sample interface and our two built-in configuration types:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.60.0-6.mga10
+ Revision: 2197923
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.60.0-5.mga9
+ Revision: 1802434
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.60.0-4.mga8
+ Revision: 1493536
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.60.0-3.mga7
+ Revision: 1266316
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.60.0-2.mga6
+ Revision: 1023964
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 buchan <buchan> 1.60.0-1.mga6
+ Revision: 923466
- imported package perl-Class-Factory


* Sun May 10 2015 bucahn 1.06-1mga
- initial mageia release, generated with cpan2dist
